Results 1 to 12 of 12
  1.    #1  
    I've already ran web doctor because no matter what patch/tweak I tried to install error messages.

    This morning I ran web doctor to reset my device and when I try to install tweaks this is the error I am getting now:

    Required component missing

    Tweaking requires both GNU Patch and Lsdiff installed to function. One or both of there are missing from your device. Would you like to download and install them now


    I say yes and nothing happens.

    If I go back to tweaks I keep getting the same message over and over.

    Any help would be greatly appreciated!

    Rhonda
  2. #2  
    are you in developer mode?if not serch forum for code you type in to unlock developer mode
  3.    #3  
    I am in developer mode. I searched the forum for answers, (which I should have done first) and found what I needed! Many thanks!
  4. #4  
    for developer mode type on your pre webos20090606 You should see a developer app show up open it hit yes & your phone will restart into developer mode
  5. GregE's Avatar
    Posts
    521 Posts
    Global Posts
    522 Global Posts
    #5  
    Quote Originally Posted by rhonda77677 View Post
    I am in developer mode. I searched the forum for answers, (which I should have done first) and found what I needed! Many thanks!
    I'm getting this error too. I've searched but can't find the answer. Can you point me to the thread you found that helped you?
  6. #6  
    Quote Originally Posted by rhonda77677 View Post
    I've already ran web doctor because no matter what patch/tweak I tried to install error messages.

    This morning I ran web doctor to reset my device and when I try to install tweaks this is the error I am getting now:

    Required component missing

    Tweaking requires both GNU Patch and Lsdiff installed to function. One or both of there are missing from your device. Would you like to download and install them now


    I say yes and nothing happens.

    If I go back to tweaks I keep getting the same message over and over.

    Any help would be greatly appreciated!

    Rhonda
    The GNU Patch and the Lsdiff patch are Linux Program patches from the webOS internals feed. They are essential for certain patches to operate.
    Try installing them first, and then the patches you want to install.
    "Patience, use the force, think." Obi-Wan


    Ready to try Preware? Get this first: Preware Homebrew Documentation
  7. yoe
    yoe is offline
    yoe's Avatar
    Posts
    132 Posts
    Global Posts
    142 Global Posts
    #7  
    Installing them HOW?? where are they??? Where do I get them??

    I click download and nothing happens!

    I can't believe how user-unfriendly these programs are.
  8. #8  
    mine are working but I had to reload quickinstall on my computer and then reinstall preware and everything is smooth. Try that and see if it works. That gnu and lsdiff will load on you phone or computer when you reinstall quick install
  9. proudfrog's Avatar
    Posts
    43 Posts
    Global Posts
    63 Global Posts
    #9  
    I have WOSQI 3.02 and I can't get to tweaks either. I just got a error message abount a patch - SMS Tone Per Contact - that I can not uninstall...
  10. #10  
    Quote Originally Posted by yoe View Post
    Installing them HOW?? where are they??? Where do I get them??

    I click download and nothing happens!

    I can't believe how user-unfriendly these programs are.
    They're available under the feeds option--the blue arrow under the red DELETE button on the right hand side. Select Web OS Internals (ALL) and look for GNU and LsDiff. Install them, reboot, then try the tweaks.
  11. #11  
    Quote Originally Posted by laelipoo View Post
    They're available under the feeds option--the blue arrow under the red DELETE button on the right hand side. Select Web OS Internals (ALL) and look for GNU and LsDiff. Install them, reboot, then try the tweaks.
    THis works. Had the same issue. before installing 1.4, i wiped the phone, doctored it to clean it up. no tweaks until i installed mobile hotspot using quickinstall, and had the sme error.

    laelipoo has the correct answer to fixing this.
  12. #12  
    Quote Originally Posted by vincenzo View Post
    THis works. Had the same issue. before installing 1.4, i wiped the phone, doctored it to clean it up. no tweaks until i installed mobile hotspot using quickinstall, and had the sme error.

    laelipoo has the correct answer to fixing this.
    Yeah, i forget to reinstall them after a doctor too, at times. Though preware WILL do it automatically when you install a first patch, QI doesn't anymore. Well, it tries, but it's an error. I think Jason knows about it.

Posting Permissions